﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Graphics.PackedVector;



namespace WindowsGame
{
	public class MenuResources
	{
		public SpriteFont spriteFont;

		public Texture2D menuBackground = null;

		public Texture2D mainMenuTitle = null;
		public Texture2D inGameMenuTitle = null;
		public Texture2D newGameMenuTitle = null;
		public Texture2D optionsMenuTitle = null;
		public Texture2D creditsMenuTitle = null;
		public Texture2D endingGameTitle = null;

		public Texture2D newGame = null;
		public Texture2D loadGame = null;
		public Texture2D saveGame = null;
		public Texture2D resumeGame = null;
		public Texture2D exitGame = null;
		public Texture2D mainMenu = null;
		public Texture2D options = null;
		public Texture2D credits = null;
		public Texture2D plus = null;
		public Texture2D minus = null;
		public Texture2D done = null;
		public Texture2D back = null;

		public Texture2D newGameOn = null;
		public Texture2D loadGameOn = null;
		public Texture2D saveGameOn = null;
		public Texture2D resumeGameOn = null;
		public Texture2D exitGameOn = null;
		public Texture2D mainMenuOn = null;
		public Texture2D optionsOn = null;
		public Texture2D creditsOn = null;
		public Texture2D plusOn = null;
		public Texture2D minusOn = null;
		public Texture2D doneOn = null;
		public Texture2D backOn = null;

		public Texture2D volume = null;
		public Texture2D resolution = null;
		public Texture2D fullscreen = null;
		public Texture2D difficulty = null;
		public Texture2D vSync = null;

		public Texture2D easyCaption = null;
		public Texture2D hardCaption = null;
		public Texture2D onCaption = null;
		public Texture2D offCaption = null;


		public MenuResources(ContentManager content)
		{
			spriteFont = content.Load<SpriteFont>("Fonts\\GameSpriteFont");

			menuBackground = content.Load<Texture2D>("MenuAssets\\MenuBackground");

			mainMenuTitle = content.Load<Texture2D>("MenuAssets\\MainMenuTitle");
			inGameMenuTitle = content.Load<Texture2D>("MenuAssets\\InGameMenuTitle");
			newGameMenuTitle = content.Load<Texture2D>("MenuAssets\\NewGameTitle");
			optionsMenuTitle = content.Load<Texture2D>("MenuAssets\\OptionsMenuTitle");
			creditsMenuTitle = content.Load<Texture2D>("MenuAssets\\CreditsMenuTitle");
			endingGameTitle = content.Load<Texture2D>("MenuAssets\\EndGameTitle");

			newGame = content.Load<Texture2D>("MenuAssets\\NewGame");
			loadGame = content.Load<Texture2D>("MenuAssets\\LoadGame");
			saveGame = content.Load<Texture2D>("MenuAssets\\SaveGame");
			resumeGame = content.Load<Texture2D>("MenuAssets\\ResumeGame");
			exitGame = content.Load<Texture2D>("MenuAssets\\ExitGame");
			mainMenu = content.Load<Texture2D>("MenuAssets\\MainMenu");
			options = content.Load<Texture2D>("MenuAssets\\Options");
			credits = content.Load<Texture2D>("MenuAssets\\Credits");
			plus = content.Load<Texture2D>("MenuAssets\\Plus");
			minus = content.Load<Texture2D>("MenuAssets\\Minus");
			done = content.Load<Texture2D>("MenuAssets\\Done");
			back = content.Load<Texture2D>("MenuAssets\\Back");

			newGameOn = content.Load<Texture2D>("MenuAssets\\NewGameOn");
			loadGameOn = content.Load<Texture2D>("MenuAssets\\LoadGameOn");
			saveGameOn = content.Load<Texture2D>("MenuAssets\\SaveGameOn");
			resumeGameOn = content.Load<Texture2D>("MenuAssets\\ResumeGameOn");
			exitGameOn = content.Load<Texture2D>("MenuAssets\\ExitGameOn");
			mainMenuOn = content.Load<Texture2D>("MenuAssets\\MainMenuOn");
			optionsOn = content.Load<Texture2D>("MenuAssets\\OptionOn");
			creditsOn = content.Load<Texture2D>("MenuAssets\\CreditsOn");
			plusOn = content.Load<Texture2D>("MenuAssets\\PlusOn");
			minusOn = content.Load<Texture2D>("MenuAssets\\MinusOn");
			doneOn = content.Load<Texture2D>("MenuAssets\\DoneOn");
			backOn = content.Load<Texture2D>("MenuAssets\\BackOn");

			volume = content.Load<Texture2D>("MenuAssets\\Volume");
			resolution = content.Load<Texture2D>("MenuAssets\\Resolution");
			fullscreen = content.Load<Texture2D>("MenuAssets\\FullScreen");
			difficulty = content.Load<Texture2D>("MenuAssets\\Difficulty");
			vSync = content.Load<Texture2D>("MenuAssets\\VSync");

			easyCaption = content.Load<Texture2D>("MenuAssets\\EasyCaption");
			hardCaption = content.Load<Texture2D>("MenuAssets\\HardCaption");
			onCaption = content.Load<Texture2D>("MenuAssets\\OnCaption");
			offCaption = content.Load<Texture2D>("MenuAssets\\OffCaption");
		}
	}
}